Subject: mailman: file permission problems in archives not handled correctly

From: Melanie Harper <[email-masked]>
Date: Mon, 27 Jun 2005 00:16:07 +0100

Package: mailman
Version: 2.1.5-8
Severity: normal

If the file permissions or ownership of a list's archives have become 
corrupted (for instance, if you're an idiot who has run 
/var/lib/mailman/bin/arch [list name] as root rather than as list), future 
attempts to recreate the HTML files for the archive will fail. This is 
fair enough, but they are failing at the wrong point. The exception is 
thrown at the point where Mailman attempts to create the symlink to the 
new default index file (for instance thread.html) as index.html -- at this
point the archiver falls over because index.html already exists. It ought
to fail at the previous stage where it attempts to unlink index.html and
cannot do so because of a permissions problem, though it'd also need to 
consider the case where index.html doesn't exist yet because this is the 
first message to the list in this particular (part of the) archive.

I strongly suspect this is a two-line fix but I don't really speak Python
so I shan't attempt it.

-- System Information:
Debian Release: 3.1
Architecture: i386 (i686)
Kernel: Linux 2.6.8-2-686
Locale: LANG=en_GB, LC_CTYPE=en_GB (charmap=ISO-8859-1)

Versions of packages mailman depends on:
ii  apache [httpd]              1.3.33-6     versatile, high-performance HTTP s
ii  apache2-mpm-prefork [httpd] 2.0.54-4     traditional model for Apache2
ii  cron                        3.0pl1-86    management of regular background p
ii  debconf                     1.4.30.13    Debian configuration management sy
ii  libc6                       2.3.2.ds1-22 GNU C Library: Shared libraries an
ii  logrotate                   3.7-5        Log rotation utility
ii  pwgen                       2.03-1       Automatic Password generation
ii  python                      2.3.5-2      An interactive high-level object-o
ii  sendmail-bin [mail-transpor 8.13.4-3     powerful, efficient, and scalable 
ii  ucf                         1.17         Update Configuration File: preserv

-- debconf information:
  mailman/queue_files_present:
  mailman/default_server_language: en
  mailman/gate_news: false
* mailman/site_languages: en
* mailman/used_languages:
* mailman/create_site_list: